<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

session_start();

// Esse script permite verificar o usuario e a
// senha do usuario do siatema de matriculas

//recupera dados do formulario
$sc_usuario  = trim(pg_escape_string($_POST['form_usuario']));
$sc_senha    = md5(trim(pg_escape_string($_POST['form_senha'])));

//$form_numerocras = trim(pg_escape_string($_POST['form_numerocras']));

//carrega arquivo de conex�o
include "includes/pg_begin.php";

// seleciona o usuario na tabela de usuarios
$sql="select * from logon where usuario = '$sc_usuario'";
$result=pg_query($dbh, $sql);

if (!$result) {
   die("Erro na selecao do usuario" . pg_last_error());
   header('location:index.php?msn=1');
   exit;
}

// recupera a tupla selecionada
$nt=pg_fetch_array($result);


$_SESSION['logon']=$nt['usuario'];
$_SESSION['tipoperfil']=$nt['tipoperfil'];


//caso escola n�o esteja definida, admim deve faz�-la
if ($sc_usuario=='admin')
{
	/*if (!isset($form_numerocras) || $form_numerocras=='')
	{
		$_SESSION['logon_admin']='admin_setSenha';
		header('location:gerencia.php');
		exit;
	}
	else
	{*/
		$s1 = trim($sc_senha);
		$s2 = trim($nt['senha']);
		if (strcmp($s1,$s2)==0)
		{

			//$_SESSION['logon_admin']='admin_gerencia';
                        //$_SESSION['f_numeroCRAS']=$form_numerocras;
            $_SESSION['logon_painel']=1;
			header('location:main.php');
			exit;
		}
	//}
	$erro = 3;
	header('location:index.php?msn='.$erro);
	exit;
}

//atribui valor a variaveis locais para db
$db_usuario = trim(pg_escape_string($nt['usuario']));
$db_senha   = trim(pg_escape_string($nt['senha']));

$dbu=strlen($db_usuario);
$dbs=strlen($db_senha);
$scu=strlen($sc_usuario);
$scs=strlen($sc_senha);

//echo "$dbu $dbs $scu $scs";

// efetua a verificacao usuario
$erro='0';

if (strcmp($db_usuario, $sc_usuario) != 0 || strlen($sc_usuario) == 0)
{
   //echo "usuario Inv�lido <br>";
   $erro='1';
}

// efetua a verificacao da senha do usuario
else if (strcmp($db_senha, $sc_senha) != 0) {

   //echo "senha Inv�lida <br>";
   $erro='2';

}

//carrega arquivo para finalizar conex�o
include "includes/pg_end.php";

// redirects
if($erro > '0') {
  header('location:index.php?msn='.$erro);
  exit;
}
else {
  session_start();
  
  //store session data
  $_SESSION['logon_painel']=1;  
  $_SESSION['logon']=$sc_usuario;
  
  header('location:main.php');
  
  
  exit;
}

?>
